Query Video Generation Task
curl --request GET \
--url https://www.anyfast.ai/v1/video/generations/{id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://www.anyfast.ai/v1/video/generations/{id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://www.anyfast.ai/v1/video/generations/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"code": "success",
"message": "",
"data": {
"task_id": "asyntask_h81efT0qwtLnzyt6VENmCZ6VXSfNxE2E",
"action": "omniGenerate",
"status": "SUCCESS",
"fail_reason": "https://example.com/generated-video.mp4",
"result_url": "https://example.com/generated-video.mp4",
"submit_time": 1786084139,
"start_time": 1786084145,
"finish_time": 1786084265,
"progress": "100%",
"request_id": "20260807143000000000000example",
"data": {
"content": {
"video_url": "https://example.com/generated-video.mp4"
},
"created_at": 1786084139,
"draft": false,
"duration": 4,
"execution_expires_after": 172800,
"framespersecond": 24,
"generate_audio": true,
"id": "cgt-20260807143000-example",
"model": "dreamina-seedance-2-5-260628",
"output_format": "mp4",
"priority": 0,
"ratio": "9:16",
"resolution": "480p",
"safety_identifier": "0123456789abcdef0123456789abcdef0123456789abcdef0123456789abcdef",
"seed": 26564,
"service_tier": "default",
"status": "succeeded",
"updated_at": 1786084261,
"usage": {
"completion_tokens": 77260,
"total_tokens": 77260
}
}
}
}ByteDance
Seedance Task Query
Retrieve the status and result of a Seedance video generation task by its ID. Supported models: seedance-2.5, seedance-2.0, seedance-2.0-fast, seedance-2.0-mini, and seedance-2.0-ultra.
GET
/
v1
/
video
/
generations
/
{id}
Query Video Generation Task
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Task ID returned from the video generation request (format: asyntask_xxx).
Was this page helpful?
⌘I